﻿Copyright Fluke Calibration. All Rights Reserved.           MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek DPO5104 (1 yr) Random Noise VER VISA
DATE:                  2012-07-17 12:02:15
AUTHOR:                Fluke
REVISION:              $Revision: 23524 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       7
NUMBER OF LINES:       162
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Model(s) Covered:
#        DPO5104
#        MSO5104
#
#  Compatibility:
#        MET/CAL 7.3.38 or later
#
#  Subprocedures:
#        Sub Tek MDO/MSO/DPO Select Channel VISA
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  RSLT         =
  1.002  HEAD         {RANDOM NOISE: Channel [V @Chan]}
  1.003  RSLT         =
  1.004  HEAD         -2{1 MOhm}, Bandwidth: Full
  1.005  TARGET       -p
  1.006  TSET         TDESC = Bandwidth Full
  1.007  CALL         Sub Tek MDO/MSO/DPO Select Channel VISA
  1.008  VISA         CH[V @Chan]:TER 1E+6;BAN FUL
  1.009  VISA         MEASU:GAT OFF;MEAS1:SOU CH[V @Chan];TYPE RMS;STATE ON
  1.010  VISA         MEASU:STATI:MODE VALUEMEAN
  1.011  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  1.012  JMPL         END                          @Abort
  1.013  TARGET       -m
  1.014  VISA         MEASU:STATI:COUN RESET
  1.015  VISA         [D1000]MEASU:MEAS1:MEAN?[I]
# Get the Sampled Mean Value.
  1.016  MATH         L[1] = MEM
  1.017  VISA         ACQ:MODE AVE;NUMAV 16
  1.018  VISA         MEASU:STATI:COUN RESET
  1.018  VISA         [D2000]MEASU:MEAS1:MEAN?[I]
# Get the Averaged Mean Value.
  1.019  MATH         L[2] = MEM
# Compute the RMS Noise in millivolts.
  1.020  MATH         MEM = (L[1] - L[2]) / 1E-3
  1.021  MEMCX        0.00mV         +8.15U

  2.001  TSET         TDESC = Bandwidth 250 MHz
  2.002  VISA         CH[V @Chan]:BAN TWO
  2.003  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  2.004  JMPL         END                          @Abort
  2.005  TARGET       -m
  2.006  VISA         ACQ:MODE SAM
  2.007  VISA         MEASU:STATI:COUN RESET
  2.007  VISA         [D1000]MEASU:MEAS1:MEAN?[I]
  2.008  MATH         L[1] = MEM
  2.009  VISA         ACQ:MODE AVE;NUMAV 16
  2.010  VISA         MEASU:STATI:COUN RESET
  2.010  VISA         [D2000]MEASU:MEAS1:MEAN?[I]
  2.011  MATH         L[2] = MEM
  2.012  MATH         MEM = (L[1] - L[2]) / 1E-3
  2.013  MEMCX        0.00mV         +5.10U

  3.001  TSET         TDESC = Bandwidth 20 MHz
  3.002  VISA         CH[V @Chan]:BAN TWE
  3.003  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  3.004  JMPL         END                          @Abort
  3.005  TARGET       -m
  3.006  VISA         ACQ:MODE SAM
  3.007  VISA         MEASU:STATI:COUN RESET
  3.007  VISA         [D1000]MEASU:MEAS1:MEAN?[I]
  3.008  MATH         L[1] = MEM
  3.009  VISA         ACQ:MODE AVE;NUMAV 16
  3.010  VISA         MEASU:STATI:COUN RESET
  3.010  VISA         [D2000]MEASU:MEAS1:MEAN?[I]
  3.011  MATH         L[2] = MEM
  3.012  MATH         MEM = (L[1] - L[2]) / 1E-3
  3.013  MEMCX        0.00mV         +5.10U

  4.001  RSLT         =
  4.002  HEAD         -2{50 Ohm}, Bandwidth: Full
  4.003  TARGET       -p
  4.004  TSET         TDESC = Bandwidth Full
  4.005  VISA         CH[V @Chan]:TER 50;BAN FUL
  4.006  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  4.007  JMPL         END                          @Abort
  4.008  TARGET       -m
  4.009  VISA         ACQ:MODE SAM
  4.010  VISA         MEASU:STATI:COUN RESET
  4.010  VISA         [D1000]MEASU:MEAS1:MEAN?[I]
  4.011  MATH         L[1] = MEM
  4.012  VISA         ACQ:MODE AVE;NUMAV 16
  4.013  VISA         MEASU:STATI:COUN RESET
  4.013  VISA         [D2000]MEASU:MEAS1:MEAN?[I]
  4.014  MATH         L[2] = MEM
  4.015  MATH         MEM = (L[1] - L[2]) / 1E-3
  4.016  MEMCX        0.00mV         +6.08U

  5.001  TSET         TDESC = Bandwidth 250 MHz
  5.002  VISA         CH[V @Chan]:BAN TWO
  5.003  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  5.004  JMPL         END                          @Abort
  5.005  TARGET       -m
  5.006  VISA         ACQ:MODE SAM
  5.007  VISA         MEASU:STATI:COUN RESET
  5.007  VISA         [D1000]MEASU:MEAS1:MEAN?[I]
  5.008  MATH         L[1] = MEM
  5.009  VISA         ACQ:MODE AVE;NUMAV 16
  5.010  VISA         MEASU:STATI:COUN RESET
  5.010  VISA         [D2000]MEASU:MEAS1:MEAN?[I]
  5.011  MATH         L[2] = MEM
  5.012  MATH         MEM = (L[1] - L[2]) / 1E-3
  5.013  MEMCX        0.00mV         +4.05U

  6.001  TSET         TDESC = Bandwidth 20 MHz
  6.002  VISA         CH[V @Chan]:BAN TWE
  6.003  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  6.004  JMPL         END                          @Abort
  6.005  TARGET       -m
  6.006  VISA         ACQ:MODE SAM
  6.007  VISA         MEASU:STATI:COUN RESET
  6.007  VISA         [D1000]MEASU:MEAS1:MEAN?[I]
  6.008  MATH         L[1] = MEM
  6.009  VISA         ACQ:MODE AVE;NUMAV 16
  6.010  VISA         MEASU:STATI:COUN RESET
  6.010  VISA         [D2000]MEASU:MEAS1:MEAN?[I]
  6.011  MATH         L[2] = MEM
  6.012  MATH         MEM = (L[1] - L[2]) / 1E-3
  6.013  MEMCX        0.00mV         +4.05U

  7.001  LABEL        END
  7.002  HEAD         -2
  7.003  HEAD
  7.004  END
